#!/usr/bin/env sh
DOCKER_NAME=cocotb_sim
APP=bash

docker run \
    -v "${HOME}":"${HOME}" \
    -v /etc/passwd:/etc/passwd:ro \
    -v /etc/shadow:/etc/shadow:ro \
    -v /etc/group:/etc/group:ro \
    -v /etc/localtime:/etc/localtime:ro \
    -v /etc/timezone:/etc/timezone:ro \
    -v /tmp/.X11-unix:/tmp/.X11-unix \
    -v /tmp:/tmp \
    -e DISPLAY=$DISPLAY \
    --privileged \
    --net=host \
    -i -w "${PWD}" -u $(id -u):$(id -g) -t --rm \
    ${DOCKER_NAME} ${APP}
